Bug 51854 - telnet rpm version mismatch
telnet rpm version mismatch
Status: CLOSED ERRATA
Product: Red Hat Public Beta
Classification: Retired
Component: telnet (Show other bugs)
roswell
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-15 16:47 EDT by Christopher McCrory
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-13 18:36:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher McCrory 2001-08-15 16:47:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010725

Description of problem:
updates/6.2/en/os/i386/telnet-0.17.6x-18.i386.rpm
updates/6.2/en/os/i386/telnet-server-0.17.6x-18.i386.rpm
updates/7.1/en/os/i386/telnet-0.17-18.i386.rpm
updates/7.1/en/os/i386/telnet-server-0.17-18.i386.rpm 

On a 6.x system, the telnet{-server} packages will not be updated since (
6x-18 > 18 ) 
  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. upgrade a 6.x machine
2. I think, I haven't actually done it
3. but my internal update scripts see it this way
	

Additional info:

beta/roswell/en/os/i386/RedHat/RPMS/telnet-0.17-15.i386.rpm
beta/roswell/en/os/i386/RedHat/RPMS/telnet-server-0.17-15.i386.rpm
rawhide/i386/RedHat/RPMS/telnet-0.17-16.i386.rpm
rawhide/i386/RedHat/RPMS/telnet-server-0.17-16.i386.rpm

6x-18 > ( 15|16|18 )
Comment 1 Harald Hoyer 2001-08-16 04:38:38 EDT
This is for an 6.x system:
updates/6.2/en/os/i386/telnet-0.17.6x-18.i386.rpm
updates/6.2/en/os/i386/telnet-server-0.17.6x-18.i386.rpm

and these are for 7.1:
updates/7.1/en/os/i386/telnet-0.17-18.i386.rpm
updates/7.1/en/os/i386/telnet-server-0.17-18.i386.rpm 

so where is the problem?
Comment 2 Christopher McCrory 2001-08-16 09:52:14 EDT
[chrismcc@wednesday up]$ sudo rpm -e telnet

[chrismcc@wednesday up]$ cat /etc/redhat-release 
Red Hat Linux release 7.1.93 (Roswell)

[chrismcc@wednesday up]$ sudo rpm -ivh telnet-0.17.6x-18.i386.rpm 
Preparing...                ########################################### [100%]
   1:telnet                 ########################################### [100%]

[chrismcc@wednesday up]$ sudo rpm -Uvh telnet-0.17-18.i386.rpm 
Preparing...                ########################################### [100%]
package telnet-0.17.6x-18 (which is newer than telnet-0.17-18) is already installed

telnet-0.17.6x-18 would be installed by a RH6.x user
then upgrade to RH 7.x and telnet-0.17-19 ( 19, or whatever the build will be)
will not be upgraded.  any later releases will have to be > telnet-0.17.70 .

same with telnet-server

[chrismcc@wednesday up]$ sudo rpm -ivh telnet-server-0.17.6x-18.i386.rpm 
Preparing...                ########################################### [100%]
   1:telnet-server          ########################################### [100%]
[chrismcc@wednesday up]$ sudo rpm -Uvh telnet-server-0.17-18.i386.rpm 
Preparing...                ########################################### [100%]
package telnet-server-0.17.6x-18 (which is newer than telnet-server-0.17-18) is
already installed


Or is there something I'm missing?

Comment 3 Harald Hoyer 2001-08-16 10:17:49 EDT
No, you are right. :)
Comment 4 Ben Levenson 2001-11-05 12:47:12 EST
Re-opening bug.
The bug is fixed, but the ftp servers/RHN don't have the correct version for 7.x:
  telnet-0.17-18.i386.rpm
  telnet-server-0.17-18.i386.rpm
Please correct. Replace the RPMS above w/ the 18.1 packages.
Comment 5 Ben Levenson 2001-12-13 18:24:13 EST
Reopening. -- I'm not trying to be a pain. I realize that all of the development/
QA is complete, but the RPMS are still not on the servers. Adding notting to 
'Cc:'.

  [root@i386-71 /root]# cat /etc/redhat-release 
  Red Hat Linux release 7.1 (Seawolf)

  [root@i386-71 /root]# rpm -q telnet
  telnet-0.17-18

  [root@i386-71 /root]# up2date-nox --showall | grep telnet
  gnome-telnet-2.4-1
  telnet-0.17-18
  telnet-server-0.17-18

The 18.1 RPMS were created to deal w/ the issues described above. They have 
already gone through the QA process, so I'm guessing that they simply need to 
be pushed to the ftp/RHN servers. 
  NAME           VERSION  RELEASE  EPOCH
  telnet          0.17     18.1      1
  telnet-server   0.17     18.1      1
  telnet          0.17     18       (none)
  telnet-server   0.17     18       (none)
Comment 6 Bill Nottingham 2002-02-07 14:45:47 EST
will be fixed shortly.

Note You need to log in before you can comment on or make changes to this bug.